Index: /trunk/include/FlairSensorActuator/Imu.h
===================================================================
--- /trunk/include/FlairSensorActuator/Imu.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Imu.h	(revision 13)
@@ -17,126 +17,127 @@
 
 namespace flair {
-    namespace core {
-        class ImuData;
-        class OneAxisRotation;
-    }
-    namespace gui {
-        class Tab;
-        class TabWidget;
-        class GroupBox;
-        class Layout;
-        class DataPlot1D;
-    }
+namespace core {
+class ImuData;
+class OneAxisRotation;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class GroupBox;
+class Layout;
+class DataPlot1D;
+}
 }
 
 class Ahrs_impl;
 
-namespace flair { namespace sensor {
-    /*! \class Imu
-    *
-    * \brief Base class for Imu
-    *
-    * Use this class to define a custom Imu.
-    *
-    */
-    class Imu : public core::IODevice {
-        friend class ::Ahrs_impl;
+namespace flair {
+namespace sensor {
+/*! \class Imu
+*
+* \brief Base class for Imu
+*
+* Use this class to define a custom Imu.
+*
+*/
+class Imu : public core::IODevice {
+  friend class ::Ahrs_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Imu.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Imu(const core::FrameworkManager *parent,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Imu.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Imu(const core::FrameworkManager *parent, std::string name);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Imu. \n
-            * This contructor must only be called for a simulated device.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Imu(const core::IODevice *parent,std::string name);
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Imu. \n
+  * This contructor must only be called for a simulated device.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Imu(const core::IODevice *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Imu();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Imu();
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return setup Layout
-            */
-            gui::Layout *GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return setup Layout
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Lock user interface
-            *
-            */
-            void LockUserInterface(void) const;
+  /*!
+  * \brief Lock user interface
+  *
+  */
+  void LockUserInterface(void) const;
 
-            /*!
-            * \brief Unlock user interface
-            *
-            */
-            void UnlockUserInterface(void) const;
+  /*!
+  * \brief Unlock user interface
+  *
+  */
+  void UnlockUserInterface(void) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Plot tab
-            *
-            * \return plot Tab
-            */
-            gui::Tab *GetPlotTab(void) const;
+  /*!
+  * \brief Plot tab
+  *
+  * \return plot Tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-        protected:
-            /*!
-            * \brief Setup GroupBox
-            *
-            * \return setup GroupBox
-            */
-            gui::GroupBox *GetGroupBox(void) const;
+protected:
+  /*!
+  * \brief Setup GroupBox
+  *
+  * \return setup GroupBox
+  */
+  gui::GroupBox *GetGroupBox(void) const;
 
-            /*!
-            * \brief UpdateImu
-            *
-            * The reimplemented class must call this function as soon as IMU datas are available. \n
-            * It handles the data rotation if it was defined.
-            *
-            */
-            void UpdateImu();
+  /*!
+  * \brief UpdateImu
+  *
+  * The reimplemented class must call this function as soon as IMU datas are
+  *available. \n
+  * It handles the data rotation if it was defined.
+  *
+  */
+  void UpdateImu();
 
-            /*!
-            * \brief Get imu datas
-            *
-            * \param imuData imu datas
-            */
-            void GetDatas(core::ImuData **imuData) const;
+  /*!
+  * \brief Get imu datas
+  *
+  * \param imuData imu datas
+  */
+  void GetDatas(core::ImuData **imuData) const;
 
+private:
+  gui::Tab *mainTab, *sensorTab, *plotTab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setupGroupbox;
+  core::OneAxisRotation *rotation;
+  core::ImuData *imuData;
 
-        private:
-            gui::Tab *mainTab,*sensorTab,*plotTab;
-            gui::TabWidget* tab;
-            gui::GroupBox *setupGroupbox;
-            core::OneAxisRotation* rotation;
-            core::ImuData *imuData;
-
-            gui::DataPlot1D *axPlot,*ayPlot,*azPlot;
-            gui::DataPlot1D *gxPlot,*gyPlot,*gzPlot;
-            gui::DataPlot1D *mxPlot,*myPlot,*mzPlot;
-    };
+  gui::DataPlot1D *axPlot, *ayPlot, *azPlot;
+  gui::DataPlot1D *gxPlot, *gyPlot, *gzPlot;
+  gui::DataPlot1D *mxPlot, *myPlot, *mzPlot;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/LaserRangeFinder.h
===================================================================
--- /trunk/include/FlairSensorActuator/LaserRangeFinder.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/LaserRangeFinder.h	(revision 13)
@@ -16,124 +16,116 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class cvmatrix;
-
-    }
-    namespace gui
-    {
-        class Tab;
-        class TabWidget;
-        class GroupBox;
-        class Layout;
-        class RangeFinderPlot;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class cvmatrix;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class GroupBox;
+class Layout;
+class RangeFinderPlot;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class LaserRangeFinder
-    *
-    * \brief Classe generique intégrant les telemetres laser
-    */
-    class LaserRangeFinder : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Laser Range Finder.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            LaserRangeFinder(const core::FrameworkManager* parent,std::string name);
-            /*!
-            * \brief Constructor
-            *
-            * Construct a UsRangeFinder. Simulation part.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            LaserRangeFinder(const core::IODevice* parent,std::string name);
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~LaserRangeFinder();
+namespace flair {
+namespace sensor {
+/*! \class LaserRangeFinder
+*
+* \brief Classe generique intégrant les telemetres laser
+*/
+class LaserRangeFinder : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Laser Range Finder.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  LaserRangeFinder(const core::FrameworkManager *parent, std::string name);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a UsRangeFinder. Simulation part.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  LaserRangeFinder(const core::IODevice *parent, std::string name);
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~LaserRangeFinder();
 
-            /*!
-            * \brief Use default plot
-            *
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Plot
-            *
-            * \return DataPlot1D
-            */
-            gui::RangeFinderPlot* GetPlot(void) const;
+  /*!
+  * \brief Plot
+  *
+  * \return DataPlot1D
+  */
+  gui::RangeFinderPlot *GetPlot(void) const;
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return a Layout available
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return a Layout available
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Plot tab
-            *
-            * \return plot Tab
-            */
-            gui::Tab* GetPlotTab(void) const;
+  /*!
+  * \brief Plot tab
+  *
+  * \return plot Tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-            /*!
-            * \brief Value
-            *
-            * \return output value
-            */
-            float Value(void) const;
+  /*!
+  * \brief Value
+  *
+  * \return output value
+  */
+  float Value(void) const;
 
-        protected:
-        /*!
-            * \brief Output matrix
-            *
-            * \return output matrix
-            */
-            core::cvmatrix *output;
+protected:
+  /*!
+      * \brief Output matrix
+      *
+      * \return output matrix
+      */
+  core::cvmatrix *output;
 
-            /*!
-            * \brief Setup GroupBox
-            *
-            * \return a GroupBox available
-            */
-            gui::GroupBox* GetGroupBox(void) const;
+  /*!
+  * \brief Setup GroupBox
+  *
+  * \return a GroupBox available
+  */
+  gui::GroupBox *GetGroupBox(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            gui::Tab* main_tab;
-            gui::TabWidget *tab;
-            gui::GroupBox* setup_groupbox;
-            gui::Tab* sensor_tab;
-            gui::RangeFinderPlot* plot;
-            gui::Tab* plot_tab;
-
-    };
+  gui::Tab *main_tab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setup_groupbox;
+  gui::Tab *sensor_tab;
+  gui::RangeFinderPlot *plot;
+  gui::Tab *plot_tab;
+};
 } // end namespace sensor
 } // end namespace framewor
Index: /trunk/include/FlairSensorActuator/Mb800.h
===================================================================
--- /trunk/include/FlairSensorActuator/Mb800.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Mb800.h	(revision 13)
@@ -17,64 +17,61 @@
 #include <Gps.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class SerialPort;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class SerialPort;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class Mb800
-    *
-    * \brief Class for mb800 gps receiver
-    */
-    class Mb800 : public core::Thread, public Gps
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Mb800.
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport serialport
-            * \param NMEAFlags NMEA sentances to enable
-            * \param priority priority of the Thread
-            */
-            Mb800(const core::FrameworkManager* parent,std::string name,core::SerialPort *serialport,Gps::NMEAFlags_t NMEAFlags,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class Mb800
+*
+* \brief Class for mb800 gps receiver
+*/
+class Mb800 : public core::Thread, public Gps {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Mb800.
+  *
+  * \param parent parent
+  * \param name name
+  * \param serialport serialport
+  * \param NMEAFlags NMEA sentances to enable
+  * \param priority priority of the Thread
+  */
+  Mb800(const core::FrameworkManager *parent, std::string name,
+        core::SerialPort *serialport, Gps::NMEAFlags_t NMEAFlags,
+        uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Mb800();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Mb800();
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            void Sync(void);
-            core::SerialPort *serialport;
-    };
+  void Sync(void);
+  core::SerialPort *serialport;
+};
 } // end namespace sensor
 } // end namespace framewor
Index: /trunk/include/FlairSensorActuator/Novatel.h
===================================================================
--- /trunk/include/FlairSensorActuator/Novatel.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Novatel.h	(revision 13)
@@ -17,64 +17,61 @@
 #include <Gps.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class SerialPort;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class SerialPort;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class Novatel
-    *
-    * \brief Class for Novatel gps receiver
-    */
-    class Novatel : public core::Thread, public Gps
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Novatel.
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport serialport
-            * \param NMEAFlags NMEA sentances to enable
-            * \param priority priority of the Thread
-            */
-            Novatel(const core::FrameworkManager* parent,std::string name,core::SerialPort *serialport,Gps::NMEAFlags_t NMEAFlags,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class Novatel
+*
+* \brief Class for Novatel gps receiver
+*/
+class Novatel : public core::Thread, public Gps {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Novatel.
+  *
+  * \param parent parent
+  * \param name name
+  * \param serialport serialport
+  * \param NMEAFlags NMEA sentances to enable
+  * \param priority priority of the Thread
+  */
+  Novatel(const core::FrameworkManager *parent, std::string name,
+          core::SerialPort *serialport, Gps::NMEAFlags_t NMEAFlags,
+          uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Novatel();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Novatel();
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            core::SerialPort *serialport;
-            void Sync(void);
-    };
+  core::SerialPort *serialport;
+  void Sync(void);
+};
 } // end namespace sensor
 } // end namespace framewor
Index: /trunk/include/FlairSensorActuator/Ps3Eye.h
===================================================================
--- /trunk/include/FlairSensorActuator/Ps3Eye.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Ps3Eye.h	(revision 13)
@@ -16,51 +16,46 @@
 #include "V4LCamera.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class cvimage;
-        class FrameworkManager;
-    }
-    namespace gui
-    {
-        class GridLayout;
-        class DoubleSpinBox;
-        class CheckBox;
-    }
+namespace flair {
+namespace core {
+class cvimage;
+class FrameworkManager;
+}
+namespace gui {
+class GridLayout;
+class DoubleSpinBox;
+class CheckBox;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class Ps3Eye
-    *
-    * \brief Class for Ps3Eye camera
-    */
-    class Ps3Eye : public V4LCamera
-    {
+namespace flair {
+namespace sensor {
+/*! \class Ps3Eye
+*
+* \brief Class for Ps3Eye camera
+*/
+class Ps3Eye : public V4LCamera {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Ps3Eye.
-            *
-            * \param parent parent
-            * \param name name
-            * \param camera_index index of the camera, ie /dev/videox
-            * \param priority priority of the Thread
-            */
-            Ps3Eye(const core::FrameworkManager* parent,std::string name,int camera_index,uint8_t priority);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Ps3Eye.
+  *
+  * \param parent parent
+  * \param name name
+  * \param camera_index index of the camera, ie /dev/videox
+  * \param priority priority of the Thread
+  */
+  Ps3Eye(const core::FrameworkManager *parent, std::string name,
+         int camera_index, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Ps3Eye();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Ps3Eye();
 
-        private:
-    };
+private:
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/RadioReceiver.h
===================================================================
--- /trunk/include/FlairSensorActuator/RadioReceiver.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/RadioReceiver.h	(revision 13)
@@ -17,87 +17,82 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class Tab;
-        class TabWidget;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class cvmatrix;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class Layout;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class RadioReceiver
-    *
-    * \brief Base class for radio receiver
-    */
-    class RadioReceiver : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a RadioReceiver.
-            *
-            * \param parent parent
-            * \param name name
-            * \param nb_channels number of supported channels
-            */
-            RadioReceiver(const core::FrameworkManager* parent,std::string name,unsigned int nb_channels);
+namespace flair {
+namespace sensor {
+/*! \class RadioReceiver
+*
+* \brief Base class for radio receiver
+*/
+class RadioReceiver : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a RadioReceiver.
+  *
+  * \param parent parent
+  * \param name name
+  * \param nb_channels number of supported channels
+  */
+  RadioReceiver(const core::FrameworkManager *parent, std::string name,
+                unsigned int nb_channels);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RadioReceiver();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RadioReceiver();
 
-            /*!
-            * \brief get channel value
-            *
-            * \param id channel id
-            * \return value of the channel, between 0 and 1.
-            *  Returns -1 if channel is out of bound
-            */
-            float ChannelValue(unsigned int id) const;
+  /*!
+  * \brief get channel value
+  *
+  * \param id channel id
+  * \return value of the channel, between 0 and 1.
+  *  Returns -1 if channel is out of bound
+  */
+  float ChannelValue(unsigned int id) const;
 
-            /*!
-            * \brief Is transmitter connected?
-            *
-            * \return true if transmitter is connected
-            */
-            bool IsConnected(void) const;
+  /*!
+  * \brief Is transmitter connected?
+  *
+  * \return true if transmitter is connected
+  */
+  bool IsConnected(void) const;
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return a Layout available
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return a Layout available
+  */
+  gui::Layout *GetLayout(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            core::cvmatrix *output;
-            bool is_connected;
-            unsigned int nb_channels;
-            gui::Tab* main_tab;
-            gui::TabWidget* tab;
-            gui::Tab* setup_tab;
-    };
+  core::cvmatrix *output;
+  bool is_connected;
+  unsigned int nb_channels;
+  gui::Tab *main_tab;
+  gui::TabWidget *tab;
+  gui::Tab *setup_tab;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/SimuBldc.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuBldc.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/SimuBldc.h	(revision 13)
@@ -16,103 +16,99 @@
 #include <Bldc.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class SharedMem;
-        class IODevice;
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class SharedMem;
+class IODevice;
+class cvmatrix;
+}
+namespace gui {
+class DoubleSpinBox;
+class Layout;
+}
 }
 
-namespace flair
-{
-namespace actuator
-{
-    /*! \class SimuBldc
-    *
-    * \brief Class for a simulation bldc
-    *
-    */
-    class SimuBldc : public Bldc
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuBldc. Control part.
-            *
-            * \param parent parent
-            * \param layout layout
-            * \param name name
-            * \param motors_count number of motors
-            * \param dev_id device id
-            */
-            SimuBldc(const core::IODevice* parent,gui::Layout* layout,std::string name,uint8_t motors_count,uint32_t dev_id);
+namespace flair {
+namespace actuator {
+/*! \class SimuBldc
+*
+* \brief Class for a simulation bldc
+*
+*/
+class SimuBldc : public Bldc {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuBldc. Control part.
+  *
+  * \param parent parent
+  * \param layout layout
+  * \param name name
+  * \param motors_count number of motors
+  * \param dev_id device id
+  */
+  SimuBldc(const core::IODevice *parent, gui::Layout *layout, std::string name,
+           uint8_t motors_count, uint32_t dev_id);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuBldc. Simulation part.
-            *
-            * \param parent parent
-            * \param name name
-            * \param motors_count number of motors
-            * \param dev_id device id
-            */
-            SimuBldc(const core::Object* parent,std::string name,uint8_t motors_count,uint32_t dev_id);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuBldc. Simulation part.
+  *
+  * \param parent parent
+  * \param name name
+  * \param motors_count number of motors
+  * \param dev_id device id
+  */
+  SimuBldc(const core::Object *parent, std::string name, uint8_t motors_count,
+           uint32_t dev_id);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuBldc();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuBldc();
 
-            /*!
-            * \brief Get motors speeds.
-            *
-            * This function should only be used for the simulation part.
-            *
-            * \param value array to store motors speeds
-            */
-            void GetSpeeds(float* value) const;
+  /*!
+  * \brief Get motors speeds.
+  *
+  * This function should only be used for the simulation part.
+  *
+  * \param value array to store motors speeds
+  */
+  void GetSpeeds(float *value) const;
 
-            /*!
-            * \brief Has speed measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has speed measurement
-            */
-            bool HasSpeedMeasurement(void) const{return false;};
+  /*!
+  * \brief Has speed measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has speed measurement
+  */
+  bool HasSpeedMeasurement(void) const { return false; };
 
-            /*!
-            * \brief Has current measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has current measurement
-            */
-            bool HasCurrentMeasurement(void) const{return false;};
+  /*!
+  * \brief Has current measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has current measurement
+  */
+  bool HasCurrentMeasurement(void) const { return false; };
 
-        private:
-            /*!
-            * \brief Set motors values
-            *
-            * Reimplemented from Bldc. \n
-            * Values size must be the same as MotorsCount()
-            *
-            * \param values motor values
-            */
-            void SetMotors(float* value);
+private:
+  /*!
+  * \brief Set motors values
+  *
+  * Reimplemented from Bldc. \n
+  * Values size must be the same as MotorsCount()
+  *
+  * \param values motor values
+  */
+  void SetMotors(float *value);
 
-            core::SharedMem *shmem;
-            gui::DoubleSpinBox *k;
-    };
+  core::SharedMem *shmem;
+  gui::DoubleSpinBox *k;
+};
 } // end namespace actuator
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/SimuCamera.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuCamera.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/SimuCamera.h	(revision 13)
@@ -18,92 +18,89 @@
 #include <cxcore.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class SharedMem;
-    }
-    namespace gui
-    {
-        class SpinBox;
-    }
+namespace flair {
+namespace core {
+class SharedMem;
+}
+namespace gui {
+class SpinBox;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuCamera
-    *
-    * \brief Class for a simulation camera
-    */
-    class SimuCamera : public core::Thread, public Camera
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuCamera. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            * \param width width
-            * \param height height
-            * \param channels number of channels
-            * \param dev_id device id
-            * \param priority priority of the Thread
-            */
-            SimuCamera(const core::FrameworkManager* parent,std::string name,uint16_t width,uint16_t height,uint8_t channels,uint32_t dev_id,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class SimuCamera
+*
+* \brief Class for a simulation camera
+*/
+class SimuCamera : public core::Thread, public Camera {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuCamera. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  * \param width width
+  * \param height height
+  * \param channels number of channels
+  * \param dev_id device id
+  * \param priority priority of the Thread
+  */
+  SimuCamera(const core::FrameworkManager *parent, std::string name,
+             uint16_t width, uint16_t height, uint8_t channels, uint32_t dev_id,
+             uint8_t priority);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuCamera. Simulation part.\n
-            * The Thread of this class should not be run.
-            *
-            * \param parent parent
-            * \param name name
-            * \param width width
-            * \param height height
-            * \param channels number of channels
-            * \param dev_id device id
-            */
-            SimuCamera(const core::IODevice* parent,std::string name,uint16_t width,uint16_t height,uint8_t channels,uint32_t dev_id);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuCamera. Simulation part.\n
+  * The Thread of this class should not be run.
+  *
+  * \param parent parent
+  * \param name name
+  * \param width width
+  * \param height height
+  * \param channels number of channels
+  * \param dev_id device id
+  */
+  SimuCamera(const core::IODevice *parent, std::string name, uint16_t width,
+             uint16_t height, uint8_t channels, uint32_t dev_id);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuCamera();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuCamera();
 
-        protected:
-            /*!
-            * \brief SharedMem to access datas
-            *
-            */
-            core::SharedMem *shmem;
+protected:
+  /*!
+  * \brief SharedMem to access datas
+  *
+  */
+  core::SharedMem *shmem;
 
-        private:
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+private:
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            gui::SpinBox *data_rate;
-            size_t buf_size;
-            IplImage* img;
-    };
+  gui::SpinBox *data_rate;
+  size_t buf_size;
+  IplImage *img;
+};
 } // end namespace sensor
 } // end namespace flair
